from ploneintranet.search.solr import testing
from ploneintranet.search.solr.interfaces import IConnectionConfig
from zope.component import queryUtility
from zope.interface.verify import verifyObject


class TestSolrConfigDirective(testing.IntegrationTestCase):
    def test_directive(self):
        util = queryUtility(IConnectionConfig)
        verifyObject(IConnectionConfig, util)
